Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.projectapi/1 1.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.spi.project
Interface SubprojectProvider

    public interface SubprojectProvider

Optional ability of projects which may have a list of "subprojects". The exact interpretation of this term is at the discretion of the project, but typically subprojects would be "built" as part of this project or somehow used in it as dependencies; or they may just be contained or agglomerated in it somehow.

See Also:
  `Project.getLookup()`, `ReferenceHelper.createSubprojectProvider`

Method Summary
`void` | `addChangeListener(ChangeListener listener)` Add a listener to changes in the set of subprojects.
`Set` | `getSubprojects()` Get a set of projects which this project can be considered to depend upon somehow.
`void` | `removeChangeListener(ChangeListener listener)` Remove a listener to changes in the set of subprojects.

Method Detail

### getSubprojects

    Set getSubprojects()

  Get a set of projects which this project can be considered to depend upon somehow. This information is likely to be used only for UI purposes. Only direct subprojects need be listed, not all recursive subprojects. There may be no direct or indirect cycles in the project dependency graph but it may be a DAG, i.e. two projects may both depend on the same subproject.

  Returns:
    an immutable and unchanging set of `Project`s
  See Also:
    `ProjectUtils.hasSubprojectCycles(org.netbeans.api.project.Project, org.netbeans.api.project.Project)`

### addChangeListener

    void addChangeListener(ChangeListener listener)

  Add a listener to changes in the set of subprojects.

  Parameters:
    `listener` - a listener to add

### removeChangeListener

    void removeChangeListener(ChangeListener listener)

  Remove a listener to changes in the set of subprojects.

  Parameters:
    `listener` - a listener to remove

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.projectapi/1 1.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.